gi-pango-1.0.29: Pango bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Pango.Structs.AttrColor

Contents

- Exported types
- Methods
- Properties
  - attr
  - color

Description

The `PangoAttrColor` structure is used to represent attributes that are colors.

Synopsis

- newtype AttrColor = AttrColor (ManagedPtr AttrColor)
- newZeroAttrColor :: MonadIO m => m AttrColor
- getAttrColorAttr :: MonadIO m => AttrColor -> m Attribute
- getAttrColorColor :: MonadIO m => AttrColor -> m Color

# Exported types

newtype AttrColor Source #

Memory-managed wrapper type.

Constructors

AttrColor (ManagedPtr AttrColor) |

#### Instances

Instances details

Eq AttrColor Source # |
Instance details Defined in GI.Pango.Structs.AttrColor Methods (==) :: AttrColor -> AttrColor -> Bool Source # (/=) :: AttrColor -> AttrColor -> Bool Source #
BoxedPtr AttrColor Source # |
Instance details Defined in GI.Pango.Structs.AttrColor Methods boxedPtrCopy :: AttrColor -> IO AttrColor Source # boxedPtrFree :: AttrColor -> IO () Source #
CallocPtr AttrColor Source # |
Instance details Defined in GI.Pango.Structs.AttrColor Methods boxedPtrCalloc :: IO (Ptr AttrColor) Source #
ManagedPtrNewtype AttrColor Source # |
Instance details Defined in GI.Pango.Structs.AttrColor Methods toManagedPtr :: AttrColor -> ManagedPtr AttrColor Source #
tag ~ 'AttrSet => Constructible AttrColor tag Source # |
Instance details Defined in GI.Pango.Structs.AttrColor Methods new :: MonadIO m => (ManagedPtr AttrColor -> AttrColor) -> [AttrOp AttrColor tag] -> m AttrColor Source #

newZeroAttrColor :: MonadIO m => m AttrColor Source #

Construct a `AttrColor` struct initialized to zero.

# Methods

# Properties

## attr

the common portion of the attribute

getAttrColorAttr :: MonadIO m => AttrColor -> m Attribute Source #

Get the value of the “`attr`” field. When overloading is enabled, this is equivalent to

    get attrColor #attr

## color

the `PangoColor` which is the value of the attribute

getAttrColorColor :: MonadIO m => AttrColor -> m Color Source #

Get the value of the “`color`” field. When overloading is enabled, this is equivalent to

    get attrColor #color